Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.fee.v06
Class EPPFeeInfData

    java.lang.Object
      com.verisign.epp.codec.fee.v06.EPPFeeInfData

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPFeeInfData

extends java.lang.Object
implements EPPCodecComponent

The extension to a response to an info command with the fee info extension.

See Also:
  `EPPFeeInfo`, Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPFeeInfData`.
`static java.lang.String` | `ELM_NAME` XML root tag for `EPPFeeInfData`.

Constructor Summary
`EPPFeeInfData()` Default constructor for `EPPFeeInfData`.
`EPPFeeInfData(java.lang.String aCurrency, EPPFeeCommand aCommand, EPPFeePeriod aPeriod)` Constructor for `EPPFeeInfData` that takes the required currency, command, and period attributes.
`EPPFeeInfData(java.lang.String aCurrency, EPPFeeCommand aCommand, EPPFeePeriod aPeriod, EPPFeeValue aFee)` Constructor for `EPPFeeInfData` that takes all the primary attributes.
`EPPFeeInfData(java.lang.String aCurrency, EPPFeeCommand aCommand, EPPFeePeriod aPeriod, java.util.List<EPPFeeValue> aFees, java.lang.String aClassification)` Constructor for `EPPFeeInfData` that takes all attributes.

Method Summary
`void` | `addFee(EPPFeeValue aFee)` Adds a fee to the list of fees.
`java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode a DOM element tree to initialize the instance attributes.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode instance into a DOM element tree.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPFeeInfData` with this instance.
`java.lang.String` | `getClassification()` Gets the classification.
`EPPFeeCommand` | `getCommand()` Gets the command value.
`java.lang.String` | `getCurrency()` Gets the currency value.
`java.util.List<EPPFeeValue>` | `getFees()` Gets the list of fees if defined.
`EPPFeePeriod` | `getPeriod()` Gets the period value.
`boolean` | `hasClassification()` Is the classification defined?
`boolean` | `hasFees()` Are the fees defined?
`void` | `setClassification(java.lang.String aClassification)` Sets the classification.
`void` | `setCommand(EPPFeeCommand aCommand)` Sets the command value.
`void` | `setCurrency(java.lang.String aCurrency)` Sets the currency value.
`void` | `setFees(java.util.List<EPPFeeValue> aFees)` Sets the list of fees.
`void` | `setPeriod(EPPFeePeriod aPeriod)` Sets the period value.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  XML local name for `EPPFeeInfData`.

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML root tag for `EPPFeeInfData`.

  See Also:
    Constant Field Values

Constructor Detail

### EPPFeeInfData

    public EPPFeeInfData()

  Default constructor for `EPPFeeInfData`.

### EPPFeeInfData

    public EPPFeeInfData(java.lang.String aCurrency,
                         EPPFeeCommand aCommand,
                         EPPFeePeriod aPeriod)

  Constructor for `EPPFeeInfData` that takes the required currency, command, and period attributes.

  Parameters:
    `aCurrency` - Currency of the fees
    `aCommand` - Command associated with the fees
    `aPeriod` - Registration period of the fees

### EPPFeeInfData

    public EPPFeeInfData(java.lang.String aCurrency,
                         EPPFeeCommand aCommand,
                         EPPFeePeriod aPeriod,
                         EPPFeeValue aFee)

  Constructor for `EPPFeeInfData` that takes all the primary attributes.

  Parameters:
    `aCurrency` - Currency of the fees
    `aCommand` - Command associated with the fees
    `aPeriod` - Registration period of the fees
    `aFee` - A single fee value

### EPPFeeInfData

    public EPPFeeInfData(java.lang.String aCurrency,
                         EPPFeeCommand aCommand,
                         EPPFeePeriod aPeriod,
                         java.util.List<EPPFeeValue> aFees,
                         java.lang.String aClassification)

  Constructor for `EPPFeeInfData` that takes all attributes.

  Parameters:
    `aCurrency` - Currency of the fees
    `aCommand` - Command associated with the fees
    `aPeriod` - Registration period of the fees
    `aFees` - A list of fees that if set to `null` indicates no fees
    `aClassification` - An optional classification of the domain name. If set to `null` there is no classification.

Method Detail

### getCurrency

    public java.lang.String getCurrency()

  Gets the currency value.

  Returns:
    Currency if defined; `null` otherwise.

### setCurrency

    public void setCurrency(java.lang.String aCurrency)

  Sets the currency value.

  Parameters:
    `aCurrency` - Currency value

### getCommand

    public EPPFeeCommand getCommand()

  Gets the command value.

  Returns:
    Command value if defined; `null` otherwise.

### setCommand

    public void setCommand(EPPFeeCommand aCommand)

  Sets the command value.

  Parameters:
    `aCommand` - Command value

### getPeriod

    public EPPFeePeriod getPeriod()

  Gets the period value.

  Returns:
    Period if defined; `null` otherwise.

### setPeriod

    public void setPeriod(EPPFeePeriod aPeriod)

  Sets the period value.

  Parameters:
    `aPeriod` - Period value

### hasFees

    public boolean hasFees()

  Are the fees defined?

  Returns:
    `true` if the fees are defined; `false` otherwise.

### getFees

    public java.util.List<EPPFeeValue> getFees()

  Gets the list of fees if defined.

  Returns:
    List of fees if defined; empty list otherwise.

### addFee

    public void addFee(EPPFeeValue aFee)

  Adds a fee to the list of fees.

  Parameters:
    `aFee` - The fee to add.

### setFees

    public void setFees(java.util.List<EPPFeeValue> aFees)

  Sets the list of fees.

  Parameters:
    `aFees` - The fees to set.

### hasClassification

    public boolean hasClassification()

  Is the classification defined?

  Returns:
    `true` if the classification is defined; `false` otherwise.

### getClassification

    public java.lang.String getClassification()

  Gets the classification.

  Returns:
    The classification value if defined; `null` otherwise.

### setClassification

    public void setClassification(java.lang.String aClassification)

  Sets the classification.

  Parameters:
    `aClassification` - The classification to set

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document, which acts is an Element factory
  Returns:
    Element Root element associated with the object
  Throws:
    `EPPEncodeException` - Error encoding `EPPFeeInfData`

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - `Element` to decode
  Throws:
    `EPPDecodeException` - Error decoding `Element`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  clone an `EPPCodecComponent`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPFeeInfData`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPFeeInfData` with this instance.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    `true` if equal; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.